Summary: A Dictionary Lookup program
Name: ding
Version: 1.6
Release: %mkrel 1
Copyright: GPL 
Group: Office
Source: ding-%{version}.tar.gz
URL: http://www-user.tu-chemnitz.de/~fri/ding/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root
Requires: tcl >= 8.3
Requires: tk >= 8.3


%description 
Ding (DIctionary Nice Grep) is a tool to lookup words in dictionaries.
It uses tools like agrep, dict, ispell/aspell etc. It contains a program 
(ding) written in Tcl/Tk and a German - English dictionary with about
180,000 translations.

%description -l de
Ding (DIctionary Nice Grep) ist ein Programm zur Suche in Wörterbüchern.
Es benutzt zur Suche Werkzeuge wie agrep bzw. egrep, dict, ispell/aspell.
Es basiert auf Tcl/Tk und enthält ein Deutsch- Englisches Wörterbuch mit 
ca. 180.000 Einträgen.

%prep 
%setup
%build
%install
echo $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/dict
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1

cp ding $RPM_BUILD_ROOT/usr/bin/ding
cp de-en.txt $RPM_BUILD_ROOT/usr/share/dict/de-en.txt
cp ding.png $RPM_BUILD_ROOT/usr/share/pixmaps/ding.png
cp ding.desktop $RPM_BUILD_ROOT/usr/share/applications/ding.desktop
cp ding.1 $RPM_BUILD_ROOT/usr/share/man/man1/ding.1
gzip $RPM_BUILD_ROOT/usr/share/man/man1/ding.1


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%post
%update_menus
  
%postun
%update_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%_bindir/ding
%_datadir/dict/de-en.txt
%_datadir/pixmaps/ding.png
%_datadir/applications/ding.desktop
%_datadir/man/man1/ding.1.bz2
%doc README
%doc CHANGES
%doc COPYING

%changelog
* Sun Feb 13 2010 slick50 <lxgator@gmail.com> 1.6-1pclos2010
- 1.6

* Sun Feb 10 2008 DidouPh <DidouPh@gmail.com> 1.5
- rebuilt for pclinuxos
- fix menu (texstar)
- remove old menu system (texstar)
- fix synapitc group (texstar)

* Wed Jun 07 2006 Mario Mueller <asaf@gmx.net> 1.4-2
- changes de-en.txt from utf8 to latin1
